Package com.avaya.clientservices.agent

## Interface QueueStatistics

-     public interface QueueStatistics

  Represents feature that provides statistics about particular skill.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(QueueStatisticsListener listener)` | Adds a new listener to the queue statistics.
    `int` | `getButtonNumber()` |
    `int` | `getOldestQueueTime()` |
    `int` | `getQueuedCallsNumber()` |
    `int` | `getSkillId()` |
    `java.lang.String` | `getSkillName()` |
    `boolean` | `isActive()` |
    `boolean` | `isQueuedCallsThresholdReached()` |
    `boolean` | `isQueueTimeThresholdReached()` |
    `void` | `removeListener​(QueueStatisticsListener listener)` | Removes a listener from the queue statistics.

- - ### Method Detail

    - #### addListener

          void addListener​(QueueStatisticsListener listener)

      Adds a new listener to the queue statistics.
      Parameters:
        `listener` - Listener instance to be added.

    - #### removeListener

          void removeListener​(QueueStatisticsListener listener)

      Removes a listener from the queue statistics.
      Parameters:
        `listener` - Listener instance to be removed.

    - #### isActive

          boolean isActive()

      Returns:
        an indication whether queue monitoring operation is active or not for queue statistics feature.

    - #### getButtonNumber

          int getButtonNumber()

      Returns:
        the button number associated with the queue for an application.

    - #### getSkillId

          int getSkillId()

      Returns:
        the hunt group/skill number associated with the queue.

    - #### getSkillName

          java.lang.String getSkillName()

      Returns:
        the name of the skill associated with this queue.

    - #### getQueuedCallsNumber

          int getQueuedCallsNumber()

      Returns:
        the number of calls in the queue.

    - #### isQueuedCallsThresholdReached

          boolean isQueuedCallsThresholdReached()

      Returns:
        an indication whether number of calls waiting in queue has reached or exceeded the threshold.

    - #### getOldestQueueTime

          int getOldestQueueTime()

      Returns:
        the time of oldest call in queue in seconds.

    - #### isQueueTimeThresholdReached

          boolean isQueueTimeThresholdReached()

      Returns:
        an indication whether the oldest call in queue has reached or exceeded the maximum call queued threshold time.